//////////////////////////////////////////////////////////////////////////////
///////////////////////// True Fractals Level TT /////////////////////////////
//////////////////////////////////////////////////////////////////////////////

#property copyright "Copyright   17 november 2015, http://forexsystems.ru/" 
#property link "http://forexsystemsru.com/indikatory-foreks-f41/" 
#property description " (Fractals)          ,       ." 
#property description "      ,  ,   ,                    ."
#property description "    ."

#property indicator_chart_window
#property indicator_buffers 2

//---- input parameters
extern int   Level      =  5;
extern color ArrowHigh  =  Red,
             ArrowLow   =  Lime;
extern int   Size       =  0,
             Distance   =  10,
             CodeHigh   =  217,
             CodeLow    =  218;
             
extern string  arrowsCodes_42_120_110_108_117_121  =  "139-149 171-172 174-181 203_85_86_91",
                _241_242_221_222_228_230_246_248   =  "233-234 225-226 217-218 236-238 74-76";


//////////////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////////
//---- indicator buffers
double Upper[];
double Lower[];

//+--------------------------------------------------------------------------+
//+ Custom indicator initialization function                                 +
//+--------------------------------------------------------------------------+
int init()
  {
  
//---- additional buffers are used for counting
   IndicatorBuffers(2);
   
//---- 3 indicator buffers mapping
   SetIndexBuffer(0,Upper);
   SetIndexBuffer(1,Lower);
   
//---- drawing settings
   SetIndexStyle( 0, DRAW_ARROW, 0, Size, ArrowHigh);
   SetIndexStyle( 1, DRAW_ARROW, 0, Size, ArrowLow);
   SetIndexArrow( 0, CodeHigh) ;
   SetIndexArrow( 1, CodeLow) ;

//---- initialization done

   return(0);
  }
//+--------------------------------------------------------------------------+
//+                                                                          +
//+--------------------------------------------------------------------------+
int start()
  {
   int limit;
   int counted_bars=IndicatorCounted();
   
//---- check for possible errors
   if(counted_bars<0) return(-1);
   
//---- last counted bar will be recounted
   if(counted_bars>0) counted_bars--;
   limit=Bars-counted_bars;
   
//---- main loop
   for(int i=0; i<limit; i++)
   {
      if( iHighest( Symbol(), Period(), MODE_HIGH, Level, i - Level/2) == i )
         Upper[i] = High[i] + Distance*Point;
      else Upper[i] = EMPTY_VALUE;
      
      if( iLowest( Symbol(), Period(), MODE_LOW, Level, i - Level/2) == i )
         Lower[i] = Low[i] - Distance*Point;
      else Lower[i] = EMPTY_VALUE;
   }
   
//---- done

   return(0);
  }
//+--------------------------------------------------------------------------+
//////////////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////////
//////////////////////////////////////////////////////////////////////////////
//+--------------------------------------------------------------------------+
//+                                                 True_Fractals_Level.mq4  +
//+                               TO StatBars   ///   http://tradexperts.ru  +
//+--------------------------------------------------------------------------+
